@import url('https://fonts.googleapis.com/css?family=Roboto+Mono');


a {
    text-decoration: none;
}

.aa-bg {
    --lightgreen: #49EA51;
    --green: #319E36;
    --darkgreen: #184D1A;
    --blue: #2929cc;
    --lilac: #8a55cf;
    --darkblue: #000080;
    --orange: #FFA500;
    --pink: #FFC0CB;
    --red: #ce3f3f;
    --white: #FFFFFF;
    --black: #000000;

    --_bg: var(--bg, hotpink);
    --_color: var(--color, red);
    
    background-color: var(--_bg);
    color: var(--_color)
}

.aa {
    --_filter-value: var(--filter-value, 50%);
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    filter: invert(var(--_filter-value));
    opacity: .99;
    width: 90%;
    height: 30%;
    margin: 40px;
}

.lightgreen {
    --bg: var(--lightgreen);
    --color: var(--black);
    --filter-value: 0%;
}

.green {
    --bg: var(--green);
    --color: var(--white);
    --filter-value: 100%
}

.darkgreen {
    --bg: var(--darkgreen);
    --color: var(--white);
    --filter-value: 100%
}

.blue {
    --bg: var(--blue);
    --color: var(--white);
    --filter-value: 100%
}

.lilac {
    --bg: var(--lilac);
    --color: var(--white);
    --filter-value: 100%
}

.darkblue {
    --bg: var(--darkblue);
    --color: var(--white);
    --filter-value: 100%
}

.orange {
    --bg: var(--orange);
    --color: var(--black);
    --filter-value: 0%
}

.pink {
    --bg: var(--pink);
    --color: var(--black);
    --filter-value: 0%
}

.red {
    --bg: var(--red);
    --color: var(--black);
    --filter-value: 0%
}

.span-bg{
    --_bg-color: var(--bg-color, hotpink);
    --_txt-color: var(--txt-color, limegreen);
    border-radius: 5%;
    padding: 2px;
    background-color: var(--_bg-color);
    color: var(--_txt-color)
}

.polar {
    --bg-color: #E60606;
    --txt-color: white;
}

.nonpolar {
    --bg-color: #3366FF;
    --txt-color: white;
}


.uncharged {
    --bg-color: #CCECFF;
    --txt-color: black;
}

.positive {
    --bg-color: #EC1504;
    --txt-color: white;
}

.negative {
    --bg-color: #FFCC00;
    --txt-color: black;
}


.hydrophilic {
    --bg-color: #E60606;
    --txt-color: white;
}

.hydrophobic {
    --bg-color: #3366FF;
    --txt-color: white;
}

.neutral {
    --bg-color: #FFFF00;
    --txt-color: black;
}


.my_container {
    display: flex;
    justify-content: space-evenly;
    flex-wrap: wrap;
}

.content-overview {
    text-align: center;
    font-weight: normal;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-content: flex-start;
}

.content-overview h1 {
    font-family: 'Roboto Mono';
}


.backgrid {
    display: grid;
    grid-template-columns: 2fr 1fr;
    row-gap: 5px;
    column-gap: 5px;
}

.flip {
    position: relative;
    width: 300px;
    margin: 20px;
}

.flip .front {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

.flip>.front,
.flip>.back {
    transition-timing-function: cubic-bezier(0.175, 0.885, 0.32, 1.275);
    transition-duration: 0.5s;
    transition-property: transform, opacity;
}

.flip>.front {
    transform: rotateY(0deg);
}

.flip>.back {
    position: absolute;
    opacity: 0;
    top: 0px;
    left: 0px;
    width: 100%;
    height: 100%;
    background-color: #313131;
    transform: rotateY(-180deg);
}

.flip:hover>.front {
    transform: rotateY(180deg);
}

.flip:hover>.back {
    opacity: 1;
    transform: rotateY(0deg);
}

.flip.flip-vertical>.back {
    transform: rotateX(-180deg);
}

.flip.flip-vertical:hover>.front {
    transform: rotateX(180deg);
}

.flip.flip-vertical:hover>.back {
    transform: rotateX(0deg);
}


.flip>.front {
    width: 300px;
    height: 400px;
    background-size: cover;
    background-position: center;
    padding: 1em 2em;
    border-radius: 10px;
    cursor: pointer;
}


.flip>.back {
    color: white;
    width: 300px;
    height: 400px;
    background-size: cover;
    background-position: center;
    padding: 1em 2em;
    border-radius: 10px;
    cursor: pointer;
}

.flip>.front p,
.flip>.back p {
    font-size: 0.9125rem;
    line-height: 160%;
    color: #999;
}

.text-shadow {
    text-shadow: 1px 1px rgba(0, 0, 0, 0.04), 2px 2px rgba(0, 0, 0, 0.04),
        3px 3px rgba(0, 0, 0, 0.04), 4px 4px rgba(0, 0, 0, 0.04),
        0.125rem 0.125rem rgba(0, 0, 0, 0.04), 6px 6px rgba(0, 0, 0, 0.04);
}

